PFMInputStream (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.fonts.type1

## Class PFMInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.apache.fop.fonts.type1.PFMInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class PFMInputStream
      extends java.io.FilterInputStream

  This is a helper class for reading PFM files. It defines functions for extracting specific values out of the stream.

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PFMInputStream(java.io.InputStream in)` Constructs a PFMInputStream based on an InputStream representing the PFM file.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `readByte()` Parses a one byte value out of the stream.
    `long` | `readInt()` Parses a four byte value out of the stream.
    `int` | `readShort()` Parses a two byte value out of the stream.
    `java.lang.String` | `readString()` Parses a zero-terminated string out of the stream.

    - ### Methods inherited from class java.io.FilterInputStream

      `available, close, mark, markSupported, read, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PFMInputStream

          public PFMInputStream(java.io.InputStream in)

      Constructs a PFMInputStream based on an InputStream representing the PFM file.
      Parameters:
        `in` - The stream from which to read the PFM file

  - ### Method Detail

    - #### readByte

          public short readByte()
                         throws java.io.IOException

      Parses a one byte value out of the stream.
      Returns:
        The value extracted
      Throws:
        `java.io.IOException` - In case of an I/O problem

    - #### readShort

          public int readShort()
                        throws java.io.IOException

      Parses a two byte value out of the stream.
      Returns:
        The value extracted
      Throws:
        `java.io.IOException` - In case of an I/O problem

    - #### readInt

          public long readInt()
                       throws java.io.IOException

      Parses a four byte value out of the stream.
      Returns:
        The value extracted
      Throws:
        `java.io.IOException` - In case of an I/O problem

    - #### readString

          public java.lang.String readString()
                                      throws java.io.IOException

      Parses a zero-terminated string out of the stream.
      Returns:
        The value extracted
      Throws:
        `java.io.IOException` - In case of an I/O problem

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.